/*

Module:  Catena_Platforms.h

Function:
        The global platform definitions.

Copyright notice:
       See accompanying LICENSE file.

Author:
        Terry Moore, MCCI Corporation	October 2016

Revision history:
        See https://github.com/mcci-catena/Catena-Arduino-Platform

*/

#ifndef _CATENA_PLATFORMS_H_		/* prevent multiple includes */
#define _CATENA_PLATFORMS_H_

#ifndef _CATENABASE_H_
# include "CatenaBase.h"
#endif

namespace McciCatena {

extern const CATENA_PLATFORM	gkPlatformFeatherM0;
extern const CATENA_PLATFORM	gkPlatformM0LoRa;
extern const CATENA_PLATFORM	gkPlatformM0LoRaTtnNyc;
extern const CATENA_PLATFORM	gkPlatformCatena4410;
extern const CATENA_PLATFORM	gkPlatformCatena4410_anatolian;
extern const CATENA_PLATFORM	gkPlatformCatena4410_gh;
extern const CATENA_PLATFORM	gkPlatformCatena4410_mh;
extern const CATENA_PLATFORM	gkPlatformCatena4410_swh;
extern const CATENA_PLATFORM	gkPlatformCatena4410_pond;
extern const CATENA_PLATFORM	gkPlatformCatena4450;
extern const CATENA_PLATFORM	gkPlatformCatena4450_m101;
extern const CATENA_PLATFORM	gkPlatformCatena4450_m102;
extern const CATENA_PLATFORM	gkPlatformCatena4450_m103;
extern const CATENA_PLATFORM	gkPlatformCatena4450_m104;
extern const CATENA_PLATFORM	gkPlatformCatena4460;
extern const CATENA_PLATFORM	gkPlatformCatena4460_m101;
extern const CATENA_PLATFORM	gkPlatformCatena4460_m102;
extern const CATENA_PLATFORM	gkPlatformCatena4460_m103;
extern const CATENA_PLATFORM	gkPlatformCatena4460_m104;
extern const CATENA_PLATFORM	gkPlatformCatena4470;
extern const CATENA_PLATFORM	gkPlatformCatena4470_m101;
extern const CATENA_PLATFORM    gkPlatformFeatherM0Proto;
extern const CATENA_PLATFORM    gkPlatformFeatherM0ProtoWingLora;

extern const CATENA_PLATFORM	gkPlatformCatena4550;
extern const CATENA_PLATFORM	gkPlatformCatena4551;
extern const CATENA_PLATFORM	gkPlatformCatena4551_m101;
extern const CATENA_PLATFORM	gkPlatformCatena4551_m102;
extern const CATENA_PLATFORM	gkPlatformCatena4551_m103;
extern const CATENA_PLATFORM	gkPlatformCatena4551_m104;

extern const CATENA_PLATFORM	gkPlatformCatena4610;
extern const CATENA_PLATFORM	gkPlatformCatena4610_m101;
extern const CATENA_PLATFORM	gkPlatformCatena4610_m102;
extern const CATENA_PLATFORM	gkPlatformCatena4610_m103;
extern const CATENA_PLATFORM	gkPlatformCatena4610_m104;
extern const CATENA_PLATFORM	gkPlatformCatena4611;
extern const CATENA_PLATFORM	gkPlatformCatena4611_m101;
extern const CATENA_PLATFORM	gkPlatformCatena4611_m102;
extern const CATENA_PLATFORM	gkPlatformCatena4611_m103;
extern const CATENA_PLATFORM	gkPlatformCatena4611_m104;
extern const CATENA_PLATFORM	gkPlatformCatena4612;
extern const CATENA_PLATFORM	gkPlatformCatena4612_m101;
extern const CATENA_PLATFORM	gkPlatformCatena4612_m102;
extern const CATENA_PLATFORM	gkPlatformCatena4612_m103;
extern const CATENA_PLATFORM	gkPlatformCatena4612_m104;
extern const CATENA_PLATFORM	gkPlatformCatena4617;
extern const CATENA_PLATFORM	gkPlatformCatena4618;

extern const CATENA_PLATFORM	gkPlatformCatena4630;

extern const CATENA_PLATFORM	gkPlatformCatena4801;

} /* namespace McciCatena */

/**** end of Catena_Platforms.h ****/
#endif /* _CATENA_PLATFORMS_H_ */
